%define libxfont %mklibname xfont 1
Name: libxfont
Summary:  X font Library
Version: 1.1.0
%define subrel	3
Release: %mkrel 4
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
Patch0: libxfont-1.1.0-freetype2.2_support.patch
Patch1: libxfont-1.1.0-freetype_module_pic.patch
Patch2: libxfont-1.1.0-freetype_buffer_overflow.patch
Patch3: libxfont-1.1.0-pcf_reading_fix.patch
Patch4:	xorg-x11-6.9.0-CVE-2006-3739-3740.patch
Patch5: libXfont.diff
Patch6: cve-2008-0006.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfont}
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfont} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfont-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfont}-devel
Development files for %{name}

%pre -n %{libxfont}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxfont}-devel
%defattr(-,root,root)
%{_libdir}/libXfont.so
%{_libdir}/libXfont.la
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%package -n %{libxfont}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfont}-devel = %{version}
Provides: libxfont-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfont}-static-devel
Static development files for %{name}

%files -n %{libxfont}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfont.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%patch0 -p1 -b .freetype22
%ifnarch %{ix86}
%patch1 -p1 -b .pic
%endif
%patch2 -p1 -b .ftoverflow
%patch3 -p1 -b .pcf_reading
pushd src
%patch4 -p4 -b .cve-2006-3739-3740
popd
%patch5 -p1 -b .cve-2007-1351-1352
%patch6 -p1 -b .cve-2008-0006

%build
# needed for libxfont-1.1.0-freetype_module_pic.patch
automake
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxfont}
%defattr(-,root,root)
%{_libdir}/libXfont.so.1
%{_libdir}/libXfont.so.1.4.1


%changelog
* Tue Jan 22 2008 Vincent Danen <vdanen@mandriva.com> 1.1.0-4.3mdv2007.0
- P6: security fix for CVE-2008-0006

* Wed Mar 28 2007 Stew Benedict <sbenedict@mandriva.com> 1.1.0-4.2mdv2007.0
- P5: security fix for CVE-2007-1351,1352

* Fri Nov 17 2006 Stew Benedict <sbenedict@mandriva.com> 1.1.0-4.1mdv2007.0 
- P4: security fix for CVE-2006-3739,3740

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-29 19:27:58 (58697)
- Fix a buffer overflow when reading bad pcf files (#24627)

* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 18:54:33 (31880)
- adding a patch for using -fPIC for non-x86

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:08:15 (31596)
- new upstream release: 1.1.0 (X11R7.1)
- added a patch fixing compilation with freetype 2.2
  (it seems there are still problems to be fixed, but in most cases it works)

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
